## org.apache.fop.layout
Interface FontMetric

All Known Implementing Classes:
  FontMetricsMapper, Font, Font

public interface FontMetric

interface for font metric classes

Method Summary
`int` `getAscender(int size)`
`int` `getCapHeight(int size)`
`int` `getDescender(int size)`
`int` `getFirstChar()`
`int` `getLastChar()`
`int[]` `getWidths(int size)`
`int` `getXHeight(int size)`
`int` `width(int i, int size)` return width (in 1/1000ths of point size) of character at code point i

Method Detail

### getAscender

    public int getAscender(int size)

### getCapHeight

    public int getCapHeight(int size)

### getDescender

    public int getDescender(int size)

### getXHeight

    public int getXHeight(int size)

### getFirstChar

    public int getFirstChar()

### getLastChar

    public int getLastChar()

### width

    public int width(int i,
                     int size)

  return width (in 1/1000ths of point size) of character at code point i

### getWidths

    public int[] getWidths(int size)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.